Skip to content

Get device gateway reading by id​

GET
/devices/{id}/gatewayReadings/{fk}

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

device id

Type
number
Required
Format
"integer"
fk*

Foreign key for gatewayReadings

Type
number
Required
Format
"integer"

Request example

Responses​

Body (JSON)

application/json
JSON
{
  
"timestamp": "string",
  
"created": "string",
  
"type": "string",
  
"value": {
  
},
  
"rssi": 0,
  
"meta": {
  
},
  
"relatedId": 0,
  
"correlationId": "string",
  
"id": 0,
  
"gatewayId": 0,
  
"deviceId": 0,
  
"datapointId": 0
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value